Package org.eclipse.jdt.launching.sourcelookup.containers

## Class ClasspathContainerSourceContainer

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
    - - org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
      - - org.eclipse.jdt.launching.sourcelookup.containers.ClasspathContainerSourceContainer

All Implemented Interfaces:
  `IAdaptable`, `ISourceContainer`

    public class ClasspathContainerSourceContainer
    extends CompositeSourceContainer

A source container for a classpath container.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static String` `TYPE_ID` Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.classpathContainer`).

### Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`EMPTY`

### Constructor Summary

Constructors
`ClasspathContainerSourceContainer​(IPath containerPath)` Constructs a new source container for the given classpath container.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ISourceContainer[]` `createSourceContainers()`
`boolean` `equals​(Object obj)`
`IClasspathContainer` `getClasspathContainer()` Returns the associated container or `null` if unavailable.
`String` `getName()`
`IPath` `getPath()` Returns the classpath container's path
`ISourceContainerType` `getType()`
`int` `hashCode()`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer

`dispose, findSourceElements, findSourceElements, getSourceContainers, isComposite`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`abort, getDirector, getSourceContainerType, init, isFindDuplicates, warn`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### TYPE_ID

    public static final String TYPE_ID

Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.classpathContainer`).

### Constructor Detail

#### ClasspathContainerSourceContainer

    public ClasspathContainerSourceContainer​(IPath containerPath)

Constructs a new source container for the given classpath container.

Parameters:
  `containerPath` - classpath container path

### Method Detail

#### getName

    public String getName()

#### getType

    public ISourceContainerType getType()

#### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

Specified by:
  `createSourceContainers` in class `CompositeSourceContainer`
Throws:
  `CoreException`

#### getPath

    public IPath getPath()

Returns the classpath container's path

Returns:
  classpath container's path

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getClasspathContainer

    public IClasspathContainer getClasspathContainer()
                                              throws CoreException

Returns the associated container or `null` if unavailable.

Returns:
  classpath container or `null`
Throws:
  `CoreException` - if unable to retrieve container